/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

import org.dom4j.Element;

/**
 * @author Kenji Heigel
 */
public interface TestResult {

	public Build getBuild();

	public String getClassName();

	public String getDisplayName();

	public long getDuration();

	public String getErrorDetails();

	public String getErrorStackTrace();

	public Element getGitHubElement();

	public String getPackageName();

	public String getSimpleClassName();

	public String getStatus();

	public String getTestName();

	public String getTestReportURL();

}